Open eClass - Z¢paApata #15

Epgavion cuv3eoHOoU yla popHa ETMKOLVWVLAG Kal O€ padnuata JE avolXTn eyypadn HE KwdLKO
19/12/2011 14:21 - AAe€avdpog Atauavtidng

Status: Nea Start date: 19/12/2011
Priority: Kavovikn Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.0 Spent time: 0.00 hour
Description

2TOV KataAoyo pabnuatwy, ota KAELoTa pabnuata o TLTAOG Elval GUVOEGHOG TIOU 0ONYEL OTN (POPHA ETILKOLVWVLAG HE TOUG
OL0aoKOVTEG.

2Ta yabnuata Ye avoLytn £yypaen HE KwdLKo, TIOU OUCLACTLKA ELVAL OE TIAPOHOLA KATAOTAOT Yla TOUG (POLTNTEG TIOU BEV EXOUV
TOV KwOLKO, 0 CUVOECHOG auTog Oev urnapyxet. MaAAov TIpETIEL va TIPOCTEDEL.

History

#1-01/11/2012 16:11 - AAe§avdpog AtapavTtidng

- Target version set to 3.0

#2 - 25/11/2013 00:37 - Yury Kherimyan

>T0 apyxeto /modules/auth/courses.php otnv oelpa 315:

} else {
if (!empty ($password)) {
$codelink = "<a href='../contact/index.php?from_reg=true&amp; code=true&amp; cours_id=$cid'>$course_titl
e</a>";
} else {
Scodelink = S$Scourse_title;

}
}

210 apxeLo /modules/contact/index.php otnv oeipa 22:

if (isset ($S_REQUEST['from_reg']) and isset ($_REQUEST['cours_1id']l)) {
Sfrom_reg = true;
Scours_id = intval ($_REQUEST['cours_id']);
if (isset ($_REQUEST['code'])
Scode = true;
else
$Scode = false;

}

OTO LOLO apXELO Dcrnv oelpa 76, mpoobnkn Twv petapAntwyv code kat langlnfoAboutPassword wg global kat otnv oelpa 78:

if (isset($from_reqg)) {
if (isset ($code)) {
Smessage = $langInfoAboutPassword;
} else {
Smessage = $langInfoAboutRegistration;

}

Telog oto apxeto /modules/lang/****/messages.inc.php katw amno tnv petaBAntn langinfoAboutRegistration, va urmet o optopog tg
langInfoAboutPassword.
Eva kelpevo nmapadelypa mou eypaya yw:

S$langInfoAboutPassword = "To pdbnua nou enitAéfate mpootatevetal and xwdikd. Tia va esyypayeite, Ba mpémetr
va {ntioete Tov kwdixd amd Ttov umeUBuvo exmnaldeuTr Tou pabrpatog, OTEAVOVTAG TOU oyxeTlkd uprfvupa otn pdppa mnou
akodoubetl.<br />
Inuelwote OTL Ba mpémel onwodrmote va avapépete TO ovopatengvupd cag kal tn SireUbuvon nAextpovikou tayudpopetio
U (email), mou éyxete otnv mniatypdppa.";

#3 - 25/11/2013 07:23 - Yury Kherimyan

Awopbwon:
To koppaTt 010 20 block kwdika, dev xpelaletal... yla TNV akpLBeLa Mpemet va agatpebet.

else
Scode = false;

#4 - 26/11/2013 04:43 - Yury Kherimyan

AwopBwon:
210 apxelo /modules/auth/courses.php otnv oepa 315:

//1if user is enrolled to course or is the tutor, display link to course
if (isset (SmyCourses[$cid]['statut']l)) {

Scodelink = "<a href='../../courses/Smycours[k]/'>Scourse_title</a>";
} elseif (!empty ($Spassword)) {

$codelink = "<a href='../contact/index.php?from_reg=true&amp; code=true&amp; cours_id=$cid'>$course_titl
e</a>";
} else {

$codelink = Scourse_title;

}

OLOTL ME TO TPONYOUPEVO AV KATIOLOG NTAV YPAUPEVOG O€ €va pabnua pe eAeuBepn mpooPaocn (UE yypagpn) Kat KwdLKo,
OTOV KaTaAoyo pyabnuatwy eEakohoubouae va Tou ePpavi{eL TOV GUVIEGHO YLA VA OTELAEL UNVUPA OTOV Kabnyntn
{nNTwvTag TOU TOV KWALKO YyLa TO pabnua.

Mplv 0Ta Yabnuata mou amalTeELTal £YYPApn, AKoPd Kal va NTav YPAauuevog 0 XpnoTng TO OVopa Tou Jabnuatog dev amoteAoUsE OUVOETHO TIPOG
TO paénua.

Twpa av 0 xpnoTng £val YPAPUEVOG O€ KATOLo Habnua, TOTE KAl 0TOV KATAAOYO HaBnUATwWV EKTOG ATIO TO XAPTOPUAAKLO, TO OVOUA TOU
Mabnuatog wval cuvdEoHOG TIPOG TO Pabnua.
